<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Model200.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">dto.openweather</a> &gt; <span class="el_source">Model200.java</span></div><h1>Model200.java</h1><pre class="source lang-java linenums">/*
 * OpenWeatherMap API
 * Sample OpenWeather API.
 *
 * OpenAPI spec version: 2.5
 * Contact: kpshinde25@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package dto.openweather;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import dto.openweather.Clouds;
import dto.openweather.Coord;
import dto.openweather.Main;
import dto.openweather.Rain;
import dto.openweather.Snow;
import dto.openweather.Sys;
import dto.openweather.Weather;
import dto.openweather.Wind;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.ArrayList;
import java.util.List;
import java.io.Serializable;
import javax.validation.constraints.*;
import javax.validation.Valid;

/**
 * Model200
 */
<span class="fc" id="L36">@javax.annotation.Generated(value = &quot;io.swagger.codegen.v3.generators.java.JavaJerseyServerCodegen&quot;, date = &quot;2023-11-24T13:51:58.004723400+01:00[Europe/Paris]&quot;)public class Model200  implements Serializable  {</span>
<span class="fc" id="L37">  @JsonProperty(&quot;coord&quot;)</span>
  private Coord coord = null;

<span class="fc" id="L40">  @JsonProperty(&quot;weather&quot;)</span>
  private List&lt;Weather&gt; weather = null;

<span class="fc" id="L43">  @JsonProperty(&quot;base&quot;)</span>
  private String base = null;

<span class="fc" id="L46">  @JsonProperty(&quot;main&quot;)</span>
  private Main main = null;

<span class="fc" id="L49">  @JsonProperty(&quot;visibility&quot;)</span>
  private Integer visibility = null;

<span class="fc" id="L52">  @JsonProperty(&quot;wind&quot;)</span>
  private Wind wind = null;

<span class="fc" id="L55">  @JsonProperty(&quot;clouds&quot;)</span>
  private Clouds clouds = null;

<span class="fc" id="L58">  @JsonProperty(&quot;rain&quot;)</span>
  private Rain rain = null;

<span class="fc" id="L61">  @JsonProperty(&quot;snow&quot;)</span>
  private Snow snow = null;

<span class="fc" id="L64">  @JsonProperty(&quot;dt&quot;)</span>
  private Integer dt = null;

<span class="fc" id="L67">  @JsonProperty(&quot;sys&quot;)</span>
  private Sys sys = null;

<span class="fc" id="L70">  @JsonProperty(&quot;id&quot;)</span>
  private Integer id = null;

<span class="fc" id="L73">  @JsonProperty(&quot;name&quot;)</span>
  private String name = null;

<span class="fc" id="L76">  @JsonProperty(&quot;cod&quot;)</span>
  private Integer cod = null;

  public Model200 coord(Coord coord) {
<span class="nc" id="L80">    this.coord = coord;</span>
<span class="nc" id="L81">    return this;</span>
  }

  /**
   * Get coord
   * @return coord
   **/
  @JsonProperty(&quot;coord&quot;)
  @Schema(description = &quot;&quot;)
  @Valid
  public Coord getCoord() {
<span class="nc" id="L92">    return coord;</span>
  }

  public void setCoord(Coord coord) {
<span class="nc" id="L96">    this.coord = coord;</span>
<span class="nc" id="L97">  }</span>

  public Model200 weather(List&lt;Weather&gt; weather) {
<span class="nc" id="L100">    this.weather = weather;</span>
<span class="nc" id="L101">    return this;</span>
  }

  public Model200 addWeatherItem(Weather weatherItem) {
<span class="nc bnc" id="L105" title="All 2 branches missed.">    if (this.weather == null) {</span>
<span class="nc" id="L106">      this.weather = new ArrayList&lt;&gt;();</span>
    }
<span class="nc" id="L108">    this.weather.add(weatherItem);</span>
<span class="nc" id="L109">    return this;</span>
  }

  /**
   * (more info Weather condition codes)
   * @return weather
   **/
  @JsonProperty(&quot;weather&quot;)
  @Schema(description = &quot;(more info Weather condition codes)&quot;)
  @Valid
  public List&lt;Weather&gt; getWeather() {
<span class="nc" id="L120">    return weather;</span>
  }

  public void setWeather(List&lt;Weather&gt; weather) {
<span class="nc" id="L124">    this.weather = weather;</span>
<span class="nc" id="L125">  }</span>

  public Model200 base(String base) {
<span class="nc" id="L128">    this.base = base;</span>
<span class="nc" id="L129">    return this;</span>
  }

  /**
   * Internal parameter
   * @return base
   **/
  @JsonProperty(&quot;base&quot;)
  @Schema(example = &quot;cmc stations&quot;, description = &quot;Internal parameter&quot;)
  public String getBase() {
<span class="nc" id="L139">    return base;</span>
  }

  public void setBase(String base) {
<span class="nc" id="L143">    this.base = base;</span>
<span class="nc" id="L144">  }</span>

  public Model200 main(Main main) {
<span class="nc" id="L147">    this.main = main;</span>
<span class="nc" id="L148">    return this;</span>
  }

  /**
   * Get main
   * @return main
   **/
  @JsonProperty(&quot;main&quot;)
  @Schema(description = &quot;&quot;)
  @Valid
  public Main getMain() {
<span class="fc" id="L159">    return main;</span>
  }

  public void setMain(Main main) {
<span class="fc" id="L163">    this.main = main;</span>
<span class="fc" id="L164">  }</span>

  public Model200 visibility(Integer visibility) {
<span class="nc" id="L167">    this.visibility = visibility;</span>
<span class="nc" id="L168">    return this;</span>
  }

  /**
   * Visibility, meter
   * @return visibility
   **/
  @JsonProperty(&quot;visibility&quot;)
  @Schema(example = &quot;16093&quot;, description = &quot;Visibility, meter&quot;)
  public Integer getVisibility() {
<span class="nc" id="L178">    return visibility;</span>
  }

  public void setVisibility(Integer visibility) {
<span class="nc" id="L182">    this.visibility = visibility;</span>
<span class="nc" id="L183">  }</span>

  public Model200 wind(Wind wind) {
<span class="nc" id="L186">    this.wind = wind;</span>
<span class="nc" id="L187">    return this;</span>
  }

  /**
   * Get wind
   * @return wind
   **/
  @JsonProperty(&quot;wind&quot;)
  @Schema(description = &quot;&quot;)
  @Valid
  public Wind getWind() {
<span class="nc" id="L198">    return wind;</span>
  }

  public void setWind(Wind wind) {
<span class="nc" id="L202">    this.wind = wind;</span>
<span class="nc" id="L203">  }</span>

  public Model200 clouds(Clouds clouds) {
<span class="nc" id="L206">    this.clouds = clouds;</span>
<span class="nc" id="L207">    return this;</span>
  }

  /**
   * Get clouds
   * @return clouds
   **/
  @JsonProperty(&quot;clouds&quot;)
  @Schema(description = &quot;&quot;)
  @Valid
  public Clouds getClouds() {
<span class="nc" id="L218">    return clouds;</span>
  }

  public void setClouds(Clouds clouds) {
<span class="nc" id="L222">    this.clouds = clouds;</span>
<span class="nc" id="L223">  }</span>

  public Model200 rain(Rain rain) {
<span class="nc" id="L226">    this.rain = rain;</span>
<span class="nc" id="L227">    return this;</span>
  }

  /**
   * Get rain
   * @return rain
   **/
  @JsonProperty(&quot;rain&quot;)
  @Schema(description = &quot;&quot;)
  @Valid
  public Rain getRain() {
<span class="nc" id="L238">    return rain;</span>
  }

  public void setRain(Rain rain) {
<span class="nc" id="L242">    this.rain = rain;</span>
<span class="nc" id="L243">  }</span>

  public Model200 snow(Snow snow) {
<span class="nc" id="L246">    this.snow = snow;</span>
<span class="nc" id="L247">    return this;</span>
  }

  /**
   * Get snow
   * @return snow
   **/
  @JsonProperty(&quot;snow&quot;)
  @Schema(description = &quot;&quot;)
  @Valid
  public Snow getSnow() {
<span class="nc" id="L258">    return snow;</span>
  }

  public void setSnow(Snow snow) {
<span class="nc" id="L262">    this.snow = snow;</span>
<span class="nc" id="L263">  }</span>

  public Model200 dt(Integer dt) {
<span class="nc" id="L266">    this.dt = dt;</span>
<span class="nc" id="L267">    return this;</span>
  }

  /**
   * Time of data calculation, unix, UTC
   * @return dt
   **/
  @JsonProperty(&quot;dt&quot;)
  @Schema(example = &quot;1435658272&quot;, description = &quot;Time of data calculation, unix, UTC&quot;)
  public Integer getDt() {
<span class="nc" id="L277">    return dt;</span>
  }

  public void setDt(Integer dt) {
<span class="nc" id="L281">    this.dt = dt;</span>
<span class="nc" id="L282">  }</span>

  public Model200 sys(Sys sys) {
<span class="nc" id="L285">    this.sys = sys;</span>
<span class="nc" id="L286">    return this;</span>
  }

  /**
   * Get sys
   * @return sys
   **/
  @JsonProperty(&quot;sys&quot;)
  @Schema(description = &quot;&quot;)
  @Valid
  public Sys getSys() {
<span class="nc" id="L297">    return sys;</span>
  }

  public void setSys(Sys sys) {
<span class="nc" id="L301">    this.sys = sys;</span>
<span class="nc" id="L302">  }</span>

  public Model200 id(Integer id) {
<span class="nc" id="L305">    this.id = id;</span>
<span class="nc" id="L306">    return this;</span>
  }

  /**
   * City ID
   * @return id
   **/
  @JsonProperty(&quot;id&quot;)
  @Schema(example = &quot;2172797&quot;, description = &quot;City ID&quot;)
  public Integer getId() {
<span class="nc" id="L316">    return id;</span>
  }

  public void setId(Integer id) {
<span class="nc" id="L320">    this.id = id;</span>
<span class="nc" id="L321">  }</span>

  public Model200 name(String name) {
<span class="nc" id="L324">    this.name = name;</span>
<span class="nc" id="L325">    return this;</span>
  }

  /**
   * Get name
   * @return name
   **/
  @JsonProperty(&quot;name&quot;)
  @Schema(example = &quot;Cairns&quot;, description = &quot;&quot;)
  public String getName() {
<span class="fc" id="L335">    return name;</span>
  }

  public void setName(String name) {
<span class="fc" id="L339">    this.name = name;</span>
<span class="fc" id="L340">  }</span>

  public Model200 cod(Integer cod) {
<span class="nc" id="L343">    this.cod = cod;</span>
<span class="nc" id="L344">    return this;</span>
  }

  /**
   * Internal parameter
   * @return cod
   **/
  @JsonProperty(&quot;cod&quot;)
  @Schema(example = &quot;200&quot;, description = &quot;Internal parameter&quot;)
  public Integer getCod() {
<span class="nc" id="L354">    return cod;</span>
  }

  public void setCod(Integer cod) {
<span class="nc" id="L358">    this.cod = cod;</span>
<span class="nc" id="L359">  }</span>


  @Override
  public boolean equals(java.lang.Object o) {
<span class="nc bnc" id="L364" title="All 2 branches missed.">    if (this == o) {</span>
<span class="nc" id="L365">      return true;</span>
    }
<span class="nc bnc" id="L367" title="All 4 branches missed.">    if (o == null || getClass() != o.getClass()) {</span>
<span class="nc" id="L368">      return false;</span>
    }
<span class="nc" id="L370">    Model200 _200 = (Model200) o;</span>
<span class="nc bnc" id="L371" title="All 2 branches missed.">    return Objects.equals(this.coord, _200.coord) &amp;&amp;</span>
<span class="nc bnc" id="L372" title="All 2 branches missed.">        Objects.equals(this.weather, _200.weather) &amp;&amp;</span>
<span class="nc bnc" id="L373" title="All 2 branches missed.">        Objects.equals(this.base, _200.base) &amp;&amp;</span>
<span class="nc bnc" id="L374" title="All 2 branches missed.">        Objects.equals(this.main, _200.main) &amp;&amp;</span>
<span class="nc bnc" id="L375" title="All 2 branches missed.">        Objects.equals(this.visibility, _200.visibility) &amp;&amp;</span>
<span class="nc bnc" id="L376" title="All 2 branches missed.">        Objects.equals(this.wind, _200.wind) &amp;&amp;</span>
<span class="nc bnc" id="L377" title="All 2 branches missed.">        Objects.equals(this.clouds, _200.clouds) &amp;&amp;</span>
<span class="nc bnc" id="L378" title="All 2 branches missed.">        Objects.equals(this.rain, _200.rain) &amp;&amp;</span>
<span class="nc bnc" id="L379" title="All 2 branches missed.">        Objects.equals(this.snow, _200.snow) &amp;&amp;</span>
<span class="nc bnc" id="L380" title="All 2 branches missed.">        Objects.equals(this.dt, _200.dt) &amp;&amp;</span>
<span class="nc bnc" id="L381" title="All 2 branches missed.">        Objects.equals(this.sys, _200.sys) &amp;&amp;</span>
<span class="nc bnc" id="L382" title="All 2 branches missed.">        Objects.equals(this.id, _200.id) &amp;&amp;</span>
<span class="nc bnc" id="L383" title="All 2 branches missed.">        Objects.equals(this.name, _200.name) &amp;&amp;</span>
<span class="nc bnc" id="L384" title="All 2 branches missed.">        Objects.equals(this.cod, _200.cod);</span>
  }

  @Override
  public int hashCode() {
<span class="nc" id="L389">    return Objects.hash(coord, weather, base, main, visibility, wind, clouds, rain, snow, dt, sys, id, name, cod);</span>
  }


  @Override
  public String toString() {
<span class="nc" id="L395">    StringBuilder sb = new StringBuilder();</span>
<span class="nc" id="L396">    sb.append(&quot;class Model200 {\n&quot;);</span>
    
<span class="nc" id="L398">    sb.append(&quot;    coord: &quot;).append(toIndentedString(coord)).append(&quot;\n&quot;);</span>
<span class="nc" id="L399">    sb.append(&quot;    weather: &quot;).append(toIndentedString(weather)).append(&quot;\n&quot;);</span>
<span class="nc" id="L400">    sb.append(&quot;    base: &quot;).append(toIndentedString(base)).append(&quot;\n&quot;);</span>
<span class="nc" id="L401">    sb.append(&quot;    main: &quot;).append(toIndentedString(main)).append(&quot;\n&quot;);</span>
<span class="nc" id="L402">    sb.append(&quot;    visibility: &quot;).append(toIndentedString(visibility)).append(&quot;\n&quot;);</span>
<span class="nc" id="L403">    sb.append(&quot;    wind: &quot;).append(toIndentedString(wind)).append(&quot;\n&quot;);</span>
<span class="nc" id="L404">    sb.append(&quot;    clouds: &quot;).append(toIndentedString(clouds)).append(&quot;\n&quot;);</span>
<span class="nc" id="L405">    sb.append(&quot;    rain: &quot;).append(toIndentedString(rain)).append(&quot;\n&quot;);</span>
<span class="nc" id="L406">    sb.append(&quot;    snow: &quot;).append(toIndentedString(snow)).append(&quot;\n&quot;);</span>
<span class="nc" id="L407">    sb.append(&quot;    dt: &quot;).append(toIndentedString(dt)).append(&quot;\n&quot;);</span>
<span class="nc" id="L408">    sb.append(&quot;    sys: &quot;).append(toIndentedString(sys)).append(&quot;\n&quot;);</span>
<span class="nc" id="L409">    sb.append(&quot;    id: &quot;).append(toIndentedString(id)).append(&quot;\n&quot;);</span>
<span class="nc" id="L410">    sb.append(&quot;    name: &quot;).append(toIndentedString(name)).append(&quot;\n&quot;);</span>
<span class="nc" id="L411">    sb.append(&quot;    cod: &quot;).append(toIndentedString(cod)).append(&quot;\n&quot;);</span>
<span class="nc" id="L412">    sb.append(&quot;}&quot;);</span>
<span class="nc" id="L413">    return sb.toString();</span>
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
<span class="nc bnc" id="L421" title="All 2 branches missed.">    if (o == null) {</span>
<span class="nc" id="L422">      return &quot;null&quot;;</span>
    }
<span class="nc" id="L424">    return o.toString().replace(&quot;\n&quot;, &quot;\n    &quot;);</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>